Distribution:	CCux
Packager:  	Karsten Brockmann <arcam@ccux-linux.de>

Summary:   	hexeditor
Name:      	ht
Version:   	2.0.14
Release:   	1
Provides:	ht
License: 	GPL
URL:		http://hte.sourceforge.net
Group:     	Development/Other
Source0: 	%{name}-%{version}.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:	libX11-devel
BuildRequires:  glibc-devel
BuildRequires:  ncurses-devel
BuildRequires:  lzo-devel
BuildRequires:  libstdc++-devel

# Require for rpm lzma compression transition
Requires:        rpm >= 4.4.2.3-1

%description
HT is a file editor/viewer/analyzer for executables. The goal is to combine the low-level functionality of a debugger and the usability of IDEs. We plan to implement all (hex-)editing features and support of the most important file formats.

%prep
%setup -n %{name}-%{version}

%build
./configure 	--prefix=%_prefix \
		--mandir=%_mandir \
		--sysconfdir=%_sysconfdir \
		--disable-debug
make

%install
rm -rf %buildroot
make DESTDIR=$RPM_BUILD_ROOT install
find %{buildroot} -type f -exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%_bindir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sat Jun 28 2008 Karsten Brockmann <arcam@ccux-linux.de> 2.0.14-1
- Version update
* Tue Dec 19 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.0.11-1
- Version update
* Thu Nov 29 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.0.10-1
- Version update
* Tue May 15 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.0.6-1
- Initial package release
